Add Custom CAL Packages

post

/config/sim/v2/setup/cal/customPackage

Adds a Custom CAL Package

Request

Supported Media Types
Header Parameters
Body ()
Custom CAL Package insert and update request body. packageId is required for update.
Root Schema : schema
Type: object
Show Source
  • Default Value: 1000
    Deployment order of the Custom CAL Package. Enter a number between 1000 and 999999999.
    Example: 1000
  • Folder name of the Custom CAL Package. If not specified, packageName is used.
    Example: CustomCALPackage
  • A string value of 0s and 1s of length 8 representing the service host types where the Custom CAL Package can be deployed.
    Example: 00000000
  • Name of the Custom CAL Package.
    Example: CustomCALPackage
  • Default Value: 0
    Platform that receives the Custom CAL Package. Valid values are 0, 1, 50, 69, and 80.
    Example: 50
  • Version of the Custom CAL Package.
    Example: 2.0.0.2
Back to Top

Response

Supported Media Types

200 Response

Custom CAL Package added.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top